curl https://api.60db.ai/agents/AGENT_ID \
-H "Authorization: Bearer your-api-key"
const agent = await client.agents.get(agentId);
agent = client.agents.get(agent_id)
Agents
Get Agent
Get one agent and its phone lines
GET
/
agents
/
{agentId}
curl https://api.60db.ai/agents/AGENT_ID \
-H "Authorization: Bearer your-api-key"
const agent = await client.agents.get(agentId);
agent = client.agents.get(agent_id)
Get one agent, with the phone lines that call from it. The webhook signing secret is not returned here. Use Rotate webhook secret to issue a new one.
Request
Headers
string
required
Bearer token with your API key (scope
agents)Path
string
required
The agent
id (UUID)Response
200 OK. The agent fields from Create agent, plusphone_lines.
{
"success": true,
"data": {
"id": "9c2e1d7a-0b3f-4e6a-8f1d-5a7b9c0e2d44",
"name": "Front desk",
"script": "You are the receptionist for Juniper Kitchen. Keep replies short.",
"greeting": "Hello, Juniper Kitchen. How can I help?",
"voice_id": "YOUR_VOICE_ID",
"gender": null,
"listen_languages": ["hi", "en"],
"speak_languages": [],
"emotion": true,
"tools": [],
"tool_webhook_url": null,
"event_webhook_url": null,
"knowledge_collection_id": null,
"call_defaults": { "max_duration_secs": 300, "record": true },
"created_at": "2026-11-03T10:00:00.000Z",
"updated_at": "2026-11-03T10:00:00.000Z",
"phone_lines": [
{
"id": "2d8e4f10-6a3b-4c9d-8e7f-0b1a2c3d4e5f",
"kind": "sixtydb",
"name": "+919876543210",
"caller_id": "+919876543210",
"inbound_number": null,
"agent_id": "9c2e1d7a-0b3f-4e6a-8f1d-5a7b9c0e2d44",
"agent_name": "Front desk",
"created_at": "2026-11-03T10:05:00.000Z",
"updated_at": "2026-11-03T10:05:00.000Z"
}
]
}
}
Errors
| Status | Code | Meaning |
|---|---|---|
| 404 | AGENT_NOT_FOUND | No agent with this ID in your workspace (also returned for a non-UUID ID) |
Example
curl https://api.60db.ai/agents/AGENT_ID \
-H "Authorization: Bearer your-api-key"
const agent = await client.agents.get(agentId);
agent = client.agents.get(agent_id)